#!/bin/sh
set -e

echo "Loading apparmor profiles..."
sudo apparmor_parser -r ./profile
echo

# aa-exec -p unconfined -- ...
echo -n "ix should scrub: "
if ! aa-exec -p aaexec-ix -- ./test.sh | grep -q foo ; then
    echo "FAIL: ix scrubs"
    error=1
else
    echo "PASS"
fi

echo -n "Ux should scrub: "
if ! aa-exec -p aaexec-Ux -- ./test.sh | grep -q foo ; then
    echo "PASS"
else
    echo "FAIL: Ux does not scrub"
    error=1
fi

echo -n "ux should not scrub: "
if ! aa-exec -p aaexec-ux -- ./test.sh | grep -q foo ; then
    echo "FAIL: ux scrubs"
    error=1
else
    echo "PASS"
fi

# aa-exec -p env -- ...
echo -n "ix should scrub: "
if ! aa-exec -p aaexec-ix -- ./test2.sh | grep -q foo ; then
    echo "FAIL: ix scrubs"
    error=1
else
    echo "PASS"
fi

echo -n "Ux should scrub: "
if ! aa-exec -p aaexec-Ux -- ./test2.sh | grep -q foo ; then
    echo "PASS"
else
    echo "FAIL: Ux does not scrub"
    error=1
fi

echo -n "ux should not scrub: "
if ! aa-exec -p aaexec-ux -- ./test2.sh | grep -q foo ; then
    echo "FAIL: ux scrubs"
    error=1
else
    echo "PASS"
fi

echo
if [ -n "$error" ]; then
    echo FAIL
    exit 1
fi

echo PASS
exit 0
